Share your repls and programming experiences

← Back to all posts
Kingdom Simulator!!
NeilBhaduri (65)

Welcome back guys to another game by me! Today, it is a Kingdom Simulator.

Thank Yous

Thanks to the following. Without you, this wouldn't be possible:

@PattanAhmed, I need your code for the typing effect (Gta 5 in text). Thanks SO much.

@Bookie0, your comment on the Company Simulator didn't just help @OldWizard209, but it helped me!! Thanks; the colors really help.

And last but not least, @OldWizard209, you gave the idea for a simulator after your amazing Company Simulator! Thanks for the idea.

How To Play

To play the game, you can make alliances, rage war, etc. I really can't explain it further other than you're a king/queen and you want to gain xp.

Bugs

This game only has one bug. I have tested this game 10 times, so the only bug I found is your level doesn't really increase. I'm trying to solve this. Other than that, the entire game is fine.

More

When you rage war, that person becomes you're enemy. Also, when you attack an alliance, they become you're enemy. Land doesn't really matter in this game. Also, sorry if you get robbed first thing, the other countries rob you randomly, so yeah, you might get robbed and lose on xp.

Leaderboard

I really don't know why I keep doing leaderboards, but yet again, I made a leaderboard. This time, show your xp! My highscore is 100xp.

Current Leaderboard:

@hack88: 1020xp
@Whippingdot: 555xp
@MayFly404: 230xp
@firedragondnd: 150xp
@ModderGG: 140xp
@fishers14: 140xp
@NeilBhaduri: 100xp
@Wilke000: 70xp
@luke110206: 70xp
@snekattack: 50xp
@DanielZur: 40xp
@IsmailHansia: 30xp
@fishers14: 20xp
@LukeShomper: -10xp
@BananaJellyfish: -10xp

HAVE FUN PLAYING!!!!

Comments
hotnewtop
PattanAhmed (1387)

Thanks for crediting me. I am happy that you got helped :)

Also nice game!

noway15 (30)

wait what are wood and stone for?

fishers14 (7)

level 5 and 55 xp!

snekattack (12)

i recommed that you add the leaderboard ingame

NeilBhaduri (65)

Ok, I will try, but I will be a lot of work.

ModderGG (0)

Can you help me with a game of mine called fishing sim? Ask for permissions and i'll accept if you wanna help. @NeilBhaduri

NeilBhaduri (65)

@ModderGG I will think about it.

fishers14 (7)

my first time I got above 0 or -10 xp

fishers14 (7)

love it! even though my score = -10, really great!

fishers14 (7)

@NeilBhaduri No, thank you for creating this project!

fishers14 (7)

@NeilBhaduri Can I ask you how to actually win the game with over -10 xp as the first thing it always says is that I got robbed by struella.

NeilBhaduri (65)

@fishers14, the start is a bit of luck. You must hope not to get robbed. Other than that, make peace with enemies. The less enemies you have, the less chance of a robbery happening. Lastly, make alliances because the more alliances you have, the more chances you have of getting a gift.

ModderGG (0)

@NeilBhaduri i used @hack88 strat and uh... wow dude

NeilBhaduri (65)

@ModderGG, are you saying that you hacked the game a bit?

ModderGG (0)

@NeilBhaduri Nope, theres a strat (Taxes, Typing, Build)

hack88 (4)


whos the king of the castle

NeilBhaduri (65)

Omg. @hack88, i really do think you hacked (jk) and that is so impressive.

hack88 (4)

@NeilBhaduri Thanks (i didn't hack it lol, i have a strat)

BananaJellyfish (149)

I deserve leaderboard for doing absolutely nothing yet still managing to fail
poopland, i shall miss you

NeilBhaduri (65)

@BananaJellyfish, that is unfortunate, anyways, still, you get tied for last placed.

NeilBhaduri (65)

Thanks @BananaJellyfish! I will make more leaderboards in the future.

DanielZur (0)


Yay I can get on leaderboard :DD

DanielZur (0)

The game runs itself lmao

DanielZur (0)

I presses enter few times and switched tabs. After that it started to run on its own :D

NeilBhaduri (65)

@DanielZur, I know that trick. Still, you named yourself " " so your name is Emperor

NeilBhaduri (65)

@LukeShomper, really, your xp is really low, but I will still put it on the leaderboard.

Wilke000 (526)

Calling the leaderboard!

proryan (68)

Nice but gives me a error:Press enter to continue.INVALID INPUT

Press enter to continue.INVALID INPUT

Press enter to continue.INVALID INPUT

Press enter to continue.INVALID INPUT

Press enter to continue.Traceback (most recent call last):
File "main.py", line 392, in shop
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 539, in level_check
game_over()
File "main.py", line 468, in game_over
quit()
File "/usr/lib/python3.8/_sitebuiltins.py", line 26, in call
raise SystemExit(code)
SystemExit: None

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "main.py", line 410, in build_city
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 507, in home1
collect_taxes()
File "main.py", line 426, in collect_taxes
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 498, in home1
shop()
File "main.py", line 398, in shop
go_back()
File "main.py", line 103, in go_back
input ("Press enter to continue.")
ValueError: I/O operation on closed file.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "main.py", line 413, in build_city
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 507, in home1
collect_taxes()
File "main.py", line 426, in collect_taxes
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 510, in home1
build_city()
File "main.py", line 416, in build_city
go_back()
File "main.py", line 103, in go_back
input ("Press enter to continue.")
ValueError: I/O operation on closed file.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "main.py", line 410, in build_city
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 495, in home1
make_alliance()
File "main.py", line 126, in make_alliance
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 495, in home1
make_alliance()
File "main.py", line 126, in make_alliance
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 504, in home1
alliance()
File "main.py", line 326, in alliance
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 495, in home1
make_alliance()
File "main.py", line 130, in make_alliance
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 510, in home1
build_city()
File "main.py", line 416, in build_city
go_back()
File "main.py", line 103, in go_back
input ("Press enter to continue.")
ValueError: I/O operation on closed file.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "main.py", line 413, in build_city
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 510, in home1
build_city()
File "main.py", line 416, in build_city
go_back()
File "main.py", line 103, in go_back
input ("Press enter to continue.")
ValueError: I/O operation on closed file.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "main.py", line 608, in <module>
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 514, in home1
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 507, in home1
collect_taxes()
File "main.py", line 426, in collect_taxes
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 507, in home1
collect_taxes()
File "main.py", line 426, in collect_taxes
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 507, in home1
collect_taxes()
File "main.py", line 426, in collect_taxes
go_back()
File "main.py", line 105, in go_back
home()
File "main.py", line 603, in home
level_check()
File "main.py", line 540, in level_check
home1()
File "main.py", line 510, in home1
build_city()
File "main.py", line 416, in build_city
go_back()
File "main.py", line 103, in go_back
input ("Press enter to continue.")
ValueError: I/O operation on closed file

NeilBhaduri (65)

@proryan, I know that one. I really don't see any file problems, so yeah, the problem is weird.

LukeShomper (58)

['Uskya', 'Uthary', 'Fliem Drines'] doesn't look too good
It would look a lot better if it was
Uskya, Uthary, Fliem Drines
Heres what I would do so it doesnt print a string that represents a list I put code down below to show you how I would do it.

allies=["potato Town","monkevillage","Idunno"]
string=allies[0]
for x in range(len(allies)-1):
    string=(string+", "+allies[x+1])
print(string)

Im bad at explaining reply if you ever need help
Cheers - Derp11

NeilBhaduri (65)

@LukeShomper, I never thought of that! Thanks for the idea!